grumphp:
  git_hook_variables:
    EXEC_GRUMPHP_COMMAND: docker exec images_php php
  ascii:
    failed: ~
    succeeded: ~
  tasks:
    doctrine_schema_validate:
      skip_sync: true
    composer: ~
    git_blacklist:
      regexp_type: P
      keywords:
        - "\\b(die|exit)\\("
        - "\\b(die|exit);"
        - "(?<!>)dump\\("
        - "var_dump\\("
        - "(print_r|var_export)\\((?!\\$\\w+, true\\))"
      triggered_by: ['php', 'js', 'html', 'twig']
    phpcs:
      standard: "vendor/scoding/cs-ruleset"
    phpcsfixer:
      config: .php-cs-fixer.dist.php
    phpstan:
      configuration: phpstan.neon.dist
      memory_limit: '-1'
    yamllint:
      parse_constant: true
    eslint:
      bin: node_modules/.bin/eslint
      config: assets/config/eslint-config-core.js
      ignore_path: .eslintignore
      whitelist_patterns:
        - /^assets\//

services:
  JonMldr\GrumPhpDoctrineTask\DoctrineSchemaValidateTask:
    arguments:
      - '@process_builder'
      - '@formatter.raw_process'
    tags:
      - { name: grumphp.task, task: doctrine_schema_validate }
